Get All Available Ticketing Types

This API is used to get all available ticketing types associated with the specified event.
API is used as host side event admin and super admin can access this API. It will return data like allowEditingOfDisclaimer, currencySymbol, equivalentTimezone, eventStartDate, eventEndDate, ticketTypes and many more.
To call this API, user will have to pass query param with API URL like fetchHiddenTicketsOnly, dataType, recurringEventId and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns in the form of JSON.

AttributeDescription
allowEditingOfDisclaimerThis returns the setting to allow editing of the checkout disclaimer.
eventStartDateThis returns the event start date in yyyy/MM/dd HH:mm format.
eventEndDateThis returns the event end date in yyyy/MM/dd HH:mm format
eventAddressThis returns the event address.
latitudeThis returns the latitude for ticketing types.
longitudeThis returns the longitude for available ticketing types.
ticketTypesThis Returns the array of ticket types for this specific event.
  • *salesTaxRate**: returns the sales tax rate.
  • *ticketingTypeIds**: returns the event ticket type IDs.
  • *absorbTax**: Returns if sales tax will be absorbed be the host.
  • *typeId**: Returns the ticketing type ID.
  • *categoryId**: Returns the category ID.
  • *name**: Returns the ticketing type name.
  • *price**: Returns the ticketing type price.
  • *numberOfTicket**: Returns the number of tickets in a specific purchase.
  • *ticketTypeDescription**: Returns the ticket type description.
  • *enableTicketDescription**: Returns the ticket type description that will be displayed on registration page.
  • *passfeetobuyer**: Returns if the ticketing fees will be passed on to the ticket buyer.
  • *startDate**: Returns the ticketing type start date in yyyy/MM/dd HH:mm format.
  • *endDate**: Returns the ticketing type end date in yyyy/MM/dd HH:mm format.
  • *hidden**: Returns if the ticket type is hidden.
  • *maxTickerPerBuyer**: Returns the maximum number of tickets that can be in a single order.
  • *minTickerPerBuyer**: Returns the minimum number of tickets that can be in a single order.
  • *bundleType**: Returns the ticket bundle type e.g. INDIVIDUAL_TICKET, TABLE, SPONSOR or BLOCK.
  • *ticketsPerTable**: only return if ticket type is as table and per table number of tickets.
  • *ticketType**: Returns the ticket type e.g. FREE, PAID or DONATION.
  • *categoryColor**: If ticketing is seating type, then we can use this field for the category color.
  • *recurringEventId**: ticket type created for OR update for which recurring event ID.
  • *createdFrom** : Returns the ticket type ID , copied from the ticket type.
  • *recurringEventSalesEndTime** : Returns the recurring event sales end time, default value 60 minutes.
  • *recurringEventSalesEndStatus** : Returns the recurring event sales end status, Like START, END . Default value : START.
  • *eventCategories** : Returns the list of event categories.
  • *allowPDFDownload** : Returns if a PDF ticket is included in the order confirmation email.
  • *maxSessionRegisterUser** : Returns the maximum number of sessions a user can register for.
  • *dataType** : There are two types of TICKET and ADDON. By default datatype is TICKET.
  • *ticketTypeFormat** :Returns the ticket type format. It will return data like VIRTUAL, IN_PERSON, HYBRID or NULL.
  • *aeFees** : Returns the aeFees for ticketing types.
  • *ccFees** : Returns the credit card processing fee.
  • *chnageToTabel** : is ticket type changable.
  • *totalPayable** : Returns the total amount due including fees.
  • *wlFees** : Retuens the wlFees for ticketing types.
timezoneIdThis returns the event timezone ID.
equivalentTimezoneThis returns the event timezone.
showRemainingTicketsThis returns if the number of remaining tickets will appear on the registration page or not.
allowEditingOfDisclaimerThis returns if a disclaimer is enabled & can be edited.
customDisclaimerThis returns the custom disclaimer.
eventVenueTypeThis returns the event venue type.
ticketingFeeticketing fees will display on UI side.
  • *aeFeeFlat** : It's contains the Accelevents flat fee.
  • *aeFeePercentage** : Returns the Accelevent fee percentage.
  • *wlFeeFlat** : Returns the white label flat fee.
  • *wlFeePercentage** : Returns the white label fee percentage.
  • *creditCardProcessingFlat** : Returns the credit card processing fee flat.
  • *creditCardProcessingPercentage** : Returns the credit card processing fee percentage.
  • *fromThreshold** : Returns the fromThreshold for ticketing fees.
  • *toThreshold** : Returns the toThreshold for ticketing fees.
  • *operator** : Returns the conditional operator for ticketing fees.
  • *inPerson** Returns if the ticket is for an in person event or not.
  • *addon** : Returns if the ticket is for an add on style ticket or not.
availableTimeZoneThis contains the application available timezone.
  • *name** : Returns the name of time zone e.g. American Samoa Time,Niue Time etc.
  • *displayOffset** : Returns the display offset e.g. GMT+01:00 etc.
  • *equivalentTimezone** : Returns the equivalent Time zone e.g. Africa/Malabo, Africa/Kinshasa etc.
currencySymbolThis returns the event currency symbol.
seatingChartKeyThis returns the seating chart key, if assigned seating is enabled.
eventKeyThis returns the event key for seating chart, if assigned seating is enabled.
seatingThis returns if assigned seating is enabled or not.

Here are the possible error messages, which return if any condition fails or required data is missing for processing.

Error codeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
Path Params
string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Query Params
boolean
Defaults to false

It's contains the fetch hidden ticketing types only. By default value is false.

string
enum
Defaults to TICKET

It's contains the ticketing datatype like TICKET and ADDON.

Allowed:
int64
Defaults to 0

It's contains the ticket type recurring event id.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json